# $Id: DetectSubtitles.pm,v 1.1 2002/10/15 21:03:24 joern Exp $

#-----------------------------------------------------------------------
# Copyright (C) 2001-2002 Jrn Reder <joern@zyn.de> All Rights Reserved
# 
# This program is part of Video::DVDRip, which is free software; you can
# redistribute it and/or modify it under the same terms as Perl itself.
#-----------------------------------------------------------------------

package Video::DVDRip::Job::DetectSubtitles;

use base Video::DVDRip::Job;

use Carp;
use strict;

sub type {
	return "detect subtitles";
}

sub info {
	my $self = shift;

	my $info = "Detect subtitles - title #".$self->title->nr;

	return $info;
}

sub init {
	my $self = shift;
	
	$self->set_need_output(1);
	$self->set_progress_cnt(0);
	$self->set_progress_show_percent(0);
	$self->set_progress_show_fps(0);

	1;
}

sub command {
	my $self = shift;

	my $title  = $self->title;
	
	my $command = $title->get_subtitle_detect_command;
	
	return $command;
}

sub parse_output {
	my $self = shift;
	my ($buffer) = @_;

	$self->set_operation_successful (1)
		if $buffer =~ /DVDRIP_SUCCESS/;

	1;	
}

sub commit {
	my $self = shift;
	
	$self->title->analyze_subtitle_detect_output (
		output => $self->pipe->output
	);

	$self->log (
		"Subtitles of title #".$self->title->nr.
		" successfully detected."
	);
	
	1;
}

1;
